Authorization: Bearer ********************{
"salesOrderSubject": "string",
"salesOrderNo": "string",
"salesOrderDate": "2023-01-26",
"referenceNo": "string",
"customerCode": "string",
"contactId": 0,
"recipientName": "test",
"recipientAddress": "test",
"headerTemplateId": 1,
"salesOrderDetails": [
{
"productCode": "string",
"productName": "string",
"price": 10,
"qty": 1,
"productUnitName": "",
"productDescription": "",
"discountValue": 2,
"discountType": true,
"vatTaxValue": 3,
"withholdingTaxRate": 3,
"isShipping": false,
"isManualProduct": true,
"bundleKey": "g1"
}
],
"vatCalculation": true,
"discountName": "just for test",
"discountValue": 8,
"discountType": true,
"paymentTerm": "string",
"remark": "string",
"staffCode": "string",
"salesOrderStatus": 2,
"privateNote": "string",
"currencyCode": "string",
"payment": {
"valueType": 1,
"schedulePayments": [
{
"installmentNumber": 1,
"installmentAmount": 10,
"installmentPercent": 50,
"installmentName": "งวดที่ 1"
},
{
"installmentNumber": 2,
"installmentAmount": 10,
"installmentPercent": 50,
"installmentName": "งวดที่ 2"
}
]
},
"warehouseCode": "WH001",
"bundles": [
{
"bundleKey": "g1",
"bundleCode": "SET-01",
"bundleName": "ชุดห้องนอน"
}
],
"customFields": [
{
"dynamicFieldId": "6f1c2a4e-0000-4000-8000-000000000001",
"value": [
"โครงการ A"
]
}
]
}curl --location 'https://api.gofive.co.th/v3/salesorder' \
--header 'Ocp-Apim-Subscription-Key: <Your Subscription-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"salesOrderSubject": "string",
"salesOrderNo": "string",
"salesOrderDate": "2023-01-26",
"referenceNo": "string",
"customerCode": "string",
"contactId": 0,
"recipientName": "test",
"recipientAddress": "test",
"headerTemplateId": 1,
"salesOrderDetails": [
{
"productCode": "string",
"productName": "string",
"price": 10,
"qty": 1,
"productUnitName": "",
"productDescription": "",
"discountValue": 2,
"discountType": true,
"vatTaxValue": 3,
"withholdingTaxRate": 3,
"isShipping": false,
"isManualProduct": true,
"bundleKey": "g1"
}
],
"vatCalculation": true,
"discountName": "just for test",
"discountValue": 8,
"discountType": true,
"paymentTerm": "string",
"remark": "string",
"staffCode": "string",
"salesOrderStatus": 2,
"privateNote": "string",
"currencyCode": "string",
"payment": {
"valueType": 1,
"schedulePayments": [
{
"installmentNumber": 1,
"installmentAmount": 10,
"installmentPercent": 50,
"installmentName": "งวดที่ 1"
},
{
"installmentNumber": 2,
"installmentAmount": 10,
"installmentPercent": 50,
"installmentName": "งวดที่ 2"
}
]
},
"warehouseCode": "WH001",
"bundles": [
{
"bundleKey": "g1",
"bundleCode": "SET-01",
"bundleName": "ชุดห้องนอน"
}
],
"customFields": [
{
"dynamicFieldId": "6f1c2a4e-0000-4000-8000-000000000001",
"value": [
"โครงการ A"
]
}
]
}'{
"status": {
"code": "string",
"description": "string"
},
"data": {
"salesOrderSubject": "string",
"salesOrderNo": "string",
"salesOrderStatus": 0,
"salesOrderDate": "string",
"referenceNo": "string",
"customerCode": "string",
"quotationNo": "QT251000012",
"dealNo": "DL251000034",
"contactId": 0,
"recipientName": "string",
"recipientAddress": "string",
"headerTemplateId": 0,
"salesorderDetails": [
{
"productCode": "PD002",
"productName": "Venio Headphone",
"price": 800,
"qty": 2,
"productUnitName": "ชิ้น",
"productDescription": "string",
"discountValue": 0,
"discountType": true,
"vatTaxValue": 7,
"withholdingTaxRate": 0,
"totalPrice": 1280,
"unitId": 0,
"isShipping": true,
"warehouseCode": "string",
"discountBasisType": 360001,
"bundleKey": "g1"
}
],
"discountName": "string",
"discountValue": 0,
"discountType": true,
"paymentTerm": "string",
"remark": "string",
"staffCode": "string",
"privateNote": "string",
"currencyCode": "string",
"vatCalculation": true,
"subTotal": 0,
"subTotalWithDiscount": 0,
"totalVat": 0,
"totalWithholdingTax": 0,
"grandTotal": 0,
"payment": {
"valueType": 0,
"schedulePayments": [
{
"installmentNumber": 1,
"installmentName": "มัดจำ",
"installmentAmount": 3000,
"installmentPercent": 30,
"status": 1
}
]
},
"bundles": [
{
"bundleKey": "g1",
"bundleCode": "SET-01",
"bundleName": "ชุดห้องนอน",
"total": 12500
}
],
"customFields": [
{
"dynamicFieldId": "1ac5a295-b316-40a1-ba18-583084badb3b",
"fieldName": "string",
"value": [
"โครงการ A"
]
}
]
}
}